<footer id="footer" class="box box_border_none box_boder_top stack">
  <div class="switcher switcher_limit_4">
    <div>
      <div class="stack">
        <section class="stack">
          <h3>{{ i18n "menu_contribute" }}</h3>
          <nav>
            <ul>
              <li><a rel="noopener noreferrer" href="{{ print .Site.Params.repository "issues/new" | absURL }}" title="{{ i18n "menu_contribute__bug" }}" target="_blank">{{ i18n "menu_contribute__bug" }}</a></li>
              {{- if .Page.File }}
                <li><a rel="noopener noreferrer" href="{{ print .Site.Params.repository "blob/master/content/" .Page.File.Path | absURL }}" title="{{ i18n "menu_contribute__source" }}" target="_blank">{{ i18n "menu_contribute__source" }}</a></li>
              {{ end -}}
              {{- if .Page.File }}
                <li><a rel="noopener noreferrer" href="{{ print .Site.Params.repository "blame/master/content/" .Page.File.Path | absURL }}" title="{{ i18n "menu_contribute__blame" }}" target="_blank">{{ i18n "menu_contribute__blame" }}</a></li>
              {{ end -}}
              {{- if .Page.File }}
                <li><a rel="noopener noreferrer" href="{{ print .Site.Params.repository "edit/master/content/" .Page.File.Path }}" title="{{ i18n "menu_contribute__edit" }}" target="_blank">{{ i18n "menu_contribute__edit" }}</a></li>
              {{ end -}}
              <li>
                {{- $helpPage := .Site.GetPage "/help" -}}
                <a href="{{- $helpPage.RelPermalink -}}" title="{{- $helpPage.Description -}}">{{- $helpPage.Title -}}</a>
              </li>
            </ul>
          </nav>
        </section>
      </div>
      {{- if (or .Site.Menus.telegram .Site.Menus.discord) }}
      <div class="stack">
        {{ with .Site.Menus.telegram }}
          <section class="stack">
            <h3>{{ i18n "menu_telegram" }}</h3>
            <nav>
              <ul>
                {{ range . }}
                  <li><a rel="noopener noreferrer" href="{{ .URL }}" title="{{ .Title }}">{{ .Pre }}{{ .Name }}{{ .Post }}</a></li>
                {{ end }}
              </ul>
            </nav>
          </section>
        {{ end }}
        {{ with .Site.Menus.discord }}
          <section class="stack">
            <h3>{{ i18n "menu_discord" }}</h3>
            <nav>
              <ul>
                {{ range . }}
                  <li><a rel="noopener noreferrer" href="{{ .URL }}" title="{{ .Title }}">{{ .Pre }}{{ .Name }}{{ .Post }}</a></li>
                {{ end }}
              </ul>
            </nav>
          </section>
        {{ end }}
      </div>
      {{ end -}}
      <div class="stack">
        {{ with .Site.Menus.partners }}
          <section class="stack">
            <h3>{{ i18n "menu_partners" }}</h3>
            <nav>
              <ul>
                {{ range . }}
                  <li><a rel="noopener noreferrer" href="{{ .URL }}" title="{{ .Title }}" rel="nofollow" target="_blank">{{ .Pre }}{{ .Name }}{{ .Post }}</a></li>
                {{ end }}
              </ul>
            </nav>
          </section>
        {{ end }}
      </div>
      {{ with .Site.Data.patrons }}
        <section class="stack">
          {{- $imagePath := "static/images/become_a_patron_button.png" -}}
          {{ if (fileExists $imagePath) }}
            <a rel="noopener noreferrer" href="https://patreon.com/join/toby3d" target="_blank">
              {{- $config := imageConfig $imagePath -}}
              <img class="max-width_fifth" alt="become a patron" src="{{ strings.TrimPrefix "static/" $imagePath | relURL }}" width="{{ $config.Width }}" height="{{ $config.Height }}" loading="lazy">
            </a>
          {{ else }}
            <h3>{{ i18n "menu_patrons" }}</h3>
          {{ end }}
          <div class="cluster">
            <ul class="center_text">
              {{- range .patrons }}
                <li>
                  {{- if .link }}<a rel="noopener noreferrer" href="{{- .link -}}" title="{{- .name -}}" target="_blank">{{ end -}}
                  {{- $imagePath := (print "static/images/patrons/" .id ".png") -}}
                  {{- if (and .id (fileExists $imagePath)) }}
                    {{- $config := imageConfig $imagePath -}}
                    <img alt="{{- .name -}}" src="{{- strings.TrimPrefix "static/" $imagePath | relURL -}}" width="{{- $config.Width -}}" height="{{- $config.Height -}}" loading="lazy">
                  {{ else }}
                    <small>{{- delimit (split .name " ") "<br/>" -}}</small>
                  {{ end -}}
                  {{- if .link }}</a>{{ end -}}
                </li>
              {{ end -}}
              <li><a href="{{- ($.Site.GetPage "/donate").RelPermalink -}}">{{- i18n "menu_patrons__add-yourself" -}}</a></li>
            </ul>
          </div>
        </section>
      {{ end }}
    </div>
  </div>
  <div class="cluster cluster_justify_space-between cluster_align_center">
    <small>
      <a rel="noopener noreferrer" href="https://creativecommons.org/licenses/by-sa/4.0/" rel="license" target="_blank">
        {{ println "&#127279;" (now.Format "2006") .Site.Title | safeHTML }}
      </a>
      <span class="js-theme-switcher"></span>
    </small>
  </div>
</footer>
